REM https://sourceforge.net/projects/pyqt/files/sip/sip-4.19.3/sip-4.19.3.tar.gz

set P=sip-qt5
set V=4.19.3
set B=1

set PYTHON=Python36

if "%OSGEO4W_REP%"=="" (
        echo no repository
        exit 1
)

set ARCH=%1

if "%ARCH%"=="x86" (
        set OSGEO4W_ROOT=C:\OSGeo4W
        set VCARCH=x86
) else if "%ARCH%"=="x86_64" (
        set OSGEO4W_ROOT=C:\OSGeo4W64
        set VCARCH=amd64
) else (
        echo invalid arch
        exit
)

set R=%OSGEO4W_REP%\%ARCH%\release\python3\%P%
if not exist %R%\%P% mkdir %R%\%P%

copy setup.hint %R%\%P%\setup.hint
copy ..\COPYING %R%\%P%\%P%.txt

set INSTDIR=install-%ARCH%

call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
call "%OSGEO4W_ROOT%\bin\py3_env.bat"
call "c:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
path %PATH%;c:\cygwin\bin
echo on

cd ..
set DESTDIR=%CD%\osgeo4w\%INSTDIR%
if not exist %DESTDIR% mkdir %DESTDIR%
python configure.py ^
 	--destdir %DESTDIR%/apps/%PYTHON%/lib/site-packages ^
 	--bindir %DESTDIR%/apps/%PYTHON%/Scripts ^
	--incdir %DESTDIR%/apps/%PYTHON%/include
if errorlevel 1 (echo configure failed & goto error)

nmake clean
if errorlevel 1 (echo clean failed & goto error)

nmake
if errorlevel 1 (echo make failed & goto error)

nmake install
if errorlevel 1 (echo install failed & goto error)

cd osgeo4w
if not exist %INSTDIR%\etc\postinstall mkdir %INSTDIR%\etc\postinstall
if not exist %INSTDIR%\etc\preremove mkdir %INSTDIR%\etc\preremove
copy postinstall.bat %INSTDIR%\etc\postinstall\%P%.bat
copy preremove.bat %INSTDIR%\etc\preremove\%P%.bat
sed ^
	-e 's/%OSGEO4W_ROOT:\=\\\\\\\\%/@osgeo4w@/g' ^
	-e 's/%DESTDIR:\=\\\\\\\\%/@osgeo4w@/g' ^
	%INSTDIR%\apps\%PYTHON%\Lib\site-packages\sipconfig.py ^
	>%INSTDIR%\apps\%PYTHON%\Lib\site-packages\sipconfig.py.tmpl
del %INSTDIR%\apps\%PYTHON%\Lib\site-packages\sipconfig.py

copy ..\LICENSE %R%\%P%-%V%-%B%.txt
tar -C %INSTDIR% -cjf %R:c:=/c%\%P%-%V%-%B%.tar.bz2 apps etc
if errorlevel 1 (echo tar failed & goto error)

tar -C .. -cjf %R:c:=/c%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/postinstall.bat osgeo4w/preremove.bat osgeo4w/setup.hint
if errorlevel 1 (echo tar src failed & goto error)

exit

:error
exit /b 1
